Servers - Bug #2272

[hackers.git] error building keyring package
2019-04-06 10:07 AM - bill-auger

Status: fixed % Done: 0%
Priority: broken

Assignee: bill-auger

Category:

Description

re-building the keyring package failed with this error

~autobuilder/.local/bin/autob

remote: To ssh://git.parabola.nu:1863/~git/abslibre/abslibre.git

remote: ! [rejected] master —> master (fetch first)

remote: error: failed to push some refs to 'ssh://git@git.parabola.nu:1863/~git/abslibre/abslibre.
git'

remote: hint: Updates were rejected because the remote contains work that you do
remote: hint: not have locally. This is usually caused by another repository pushing
remote: hint: to the same ref. You may want to first integrate the remote changes
remote: hint: (e.g., 'git pull ...') before pushing again.

remote: hint: See the 'Note about fast-forwards' in 'git push —--help' for details.
remote:

remote: ==> ERROR: An unknown error has occurred. Exiting...

remote: ./hooks/post-receive: line 18: 19341 User defined signal 1

uild libre/parabola-keyring users

there were other errors earlier in the build process:

remote: —-> Updating abslibre git repo...

remote: Fetching origin

remote: fatal: unable to look up git.parabola.nu (port 9418)

remote: error: Could not fetch origin

remote: ==> WARNING: Failure while updating abslibre git repo

remote: ==> Retrieving sources...

remote: -> Downloading parabola-keyring-20190406.tar.gz...

remote: % Total % Received % Xferd Average Speed Time Time
remote: Dload Upload Total Spent
remote: 0 0 0 0 0 0 0 @ ==8g==8== ==g=—=g==
remote: curl: (22) The requested URL returned error: 404

remote: ==> Starting check()...

remote: ==> Entering fakeroot environment...

remote: ERROR: ld.so: object 'libfakeroot.so' from LD_PRELOAD cannot be
red object file): ignored.

remote: ERROR: 1ld.so: object 'libfakeroot.so' from LD_PRELOAD cannot be
red object file): ignored.

remote: ==> Starting package() ...

remote: ==> Leaving fakeroot environment.

remote: ==> Finished making: parabola-keyring 20190406-1 (Sat Apr 6 10:
remote: —-> Downloading parabola-keyring-20190406.tar.gz.sig...
remote: % Total % Received % Xferd Average Speed Time Time
remote: Dload Upload Total Spent
remote: 0 0 0 0 0 0 0 @ ==8g==8== ==g=—=g==
remote: curl: (22) The requested URL returned error: 404

remote: ==> Signing package...

remote:

ar.gz.sig.

(Name or service not known)

Time Current

Left Speed
== Qe g e 0
preloaded (cannot open sha
preloaded (cannot open sha
00:18 2019)

Time Current

Left Speed
== Qe g e 0

-> Created signature file /home/autobuilder/packages/srcdest/parabola-keyring-20190406.t

History

#1 - 2019-04-06 10:15 AM - bill-auger

- Description updated

2024-04-19
#2 - 2019-04-06 10:17 AM - bill-auger
- Status changed from unconfirmed to confirmed

- Subject changed from [hackers.git] error modifying abslibre.git to [hackers.git] error building keyring package

#3 - 2019-04-06 10:18 AM - bill-auger

- Priority changed from bug to broken

#4 - 2019-04-06 10:28 AM - bill-auger

- File hackers-error added

#5 - 2019-04-06 10:29 AM - bill-auger

- Description updated

#6 - 2019-04-06 10:31 AM - bill-auger

- Description updated

#7 - 2019-04-06 03:27 PM - bill-auger

after this, the autobuilder's clone of the abslibre repo had the new commit on it; but it was 42 commits behind the upstream; so that explains why it
could not push the new commit

the root of the failure was probably the "gitget’ command in the shell script https:/git.parabola.nu/server/autobuilder.qgit/tree/.local/bin/autobuild.sh

after i manually reset the autobuilder's clone of the abslibre repo to the upstream HEAD, then pushed to hackers.git again, it succeeded to build and
publish the new keyring

#8 - 2022-12-20 08:12 PM - bill-auger

- Assignee set to bill-auger

this specific problem is fixed - the abslibre and hackers.git hooks only accept fast-forward pushes now, to prevent this in the future

#9 - 2022-12-20 08:12 PM - bill-auger

- Status changed from confirmed to fixed

Files

hackers-error 36.9 KB 2019-04-06 bill-auger

2024-04-19 22
